#
# Copyright (c) 1996-1998 Information-technology Promotion Agency, Japan
# Copyright (c) 1996-1998 Mitsubishi Research Institute, Inc.
# Copyright (c) 1996-1998 The Open Group
#
# All rights reserved.
# This technology is a result of the Advanced Software  Enrichment 
# Project of Information-technology Promotion Agency, Japan (IPA).
#
# Permissions  to  use,  copy, modify and distribute this software
# are governed by the terms and conditions set forth in  the  file 
# COPYRIGHT, located in the top directory of this software.
#
# ************************************************************************
#
# PRODUCT:	Assertion Definition Language Translation System
#               (ADLTS) Version 2.0
# COMPONENT:	adl 2.0 Java runtime 
# NAME:         Makefile
# 	
# HISTORY:
# 	Lionel Mallet, The Open Group RI - Oct 22, 1997: Created
# 		
#
#************************************************************************

O = .o
A = .a
CCC = g++ -fhandle-exceptions

ADL2RT = -L$(ADL2HOME)/lib/ -ladl2cpp
ADL2MAIN = $(ADL2HOME)/lib/adl2_tet_cpp$(O)
TETLIB = -L$(TET_ROOT)/lib/tet3 -lapi
TETMAIN = $(TET_ROOT)/lib/tet3/Ctcm$(O)
LDLIBS = $(ADL2RT) $(ADL2MAIN) $(TETMAIN) $(TETLIB)

ADL2INC = $(ADL2HOME)/include/cpp
TETINC = $(TET_ROOT)/inc/tet3

INC_PATH = -I$(ADL2INC) -I$(TETINC) -I.. $(TDD_INC)

CCFLAGS = -D_POSIX_SOURCE 

.SUFFIXES: $(O) .cpp

.cpp$(O):
	$(CCC) $(CCFLAGS) $(INC_PATH) -c $<

build: $(IMPL_OBJS) $(TARGET)

clean: $(TARGET)_clean
	@-$(RM) $(TARGET)$(O) $(TARGET)

exec: $(TARGET)
	./$(TARGET) $(ICS)
