#
# Copyright (c) 1996-1998 Information-technology Promotion Agency, Japan
# Copyright (c) 1996-1998 Mitsubishi Research Institute, Inc.
# Copyright (c) 1996-1998 The Open Group
#
# All rights reserved.
# This technology is a result of the Advanced Software  Enrichment 
# Project of Information-technology Promotion Agency, Japan (IPA).
#
# Permissions  to  use,  copy, modify and distribute this software
# are governed by the terms and conditions set forth in  the  file 
# COPYRIGHT, located in the top directory of this software.
#
# ************************************************************************
#
# PRODUCT:	Assertion Definition Language Translation System
#               (ADLTS) Version 2.0
# COMPONENT:	adl 2.0 Java runtime 
# NAME:         Makefile
# 	
# HISTORY:
# 	Lionel Mallet, The Open Group RI - Oct 22, 1997: Created
# 		
#
#************************************************************************

ADL2RT = $(ADL2HOME)/lib/adlruntime.jar
JAVAC = javac
JAVA = java
JETEXEC = jet-exec
JETBUILD = jet-build

PATHSEP = :

.SUFFIXES: .java .class

.java.class:
	CLASSPATH=$(CLASSPATH)$(PATHSEP)$(ADL2RT)$(PATHSEP)$(TDD_CLASSPATH)$(PATHSEP).. $(JETBUILD) $*

build: $(TARGET).class

clean: $(TARGET).class_clean
	@-$(RM) $(TARGET).class

exec: $(TARGET).class
	CLASSPATH=$(CLASSPATH)$(PATHSEP)$(ADL2RT)$(PATHSEP)$(TDD_CLASSPATH)$(PATHSEP).. $(JETEXEC) adltest.$(TARGET) $(ICS)
