//
// Copyright (c) 1996-1998 Information-technology Promotion Agency, Japan
// Copyright (c) 1996-1998 Mitsubishi Research Institute, Inc.
// Copyright (c) 1996-1998 The Open Group
//  
// All rights reserved.
// This technology is a result of the Advanced Software  Enrichment 
// Project of Information-technology Promotion Agency, Japan (IPA).
//  
// Permissions  to  use,  copy, modify and distribute this software
// are governed by the terms and conditions set forth in  the  file
// COPYRIGHT, located in the top directory of this software.
//
//
// ************************************************************************
//
// $Source: /vobstore/cvsstore/adl/adl2/src/examples/idl/stock_example/StockBrokerAux.java,v $
// $Revision: 1.3 $
// $Date: 1998/02/27 15:46:34 $
// PRODUCT:	Assertion Definition Language Translation System
//              (ADLTS) Version 2.0
// COMPONENT:	stock broker example
// NAME:	StockBrokerAux.java
// 	
// HISTORY:
// 	Cyril Inard d'Argence, The Open Group - Jan 13, 1998: Created
// 		
// ************************************************************************

package stock_example;
import  stock_example.stock_app.*;

import java.util.*;


public class StockBrokerAux {

  static public int getPriceSymbol(String symbol) {
    int p;

    try {
      p = ProductsBank.get(symbol);
    } catch(UnknownProductExc e) { 
      p = -1;
    }
    return p;
  }

  static public boolean bad_sym(String symbol) {
    return !(ProductsBank.exists(symbol));
  }

}
