//
// Copyright (c) 1996-1998 Information-technology Promotion Agency, Japan
// Copyright (c) 1996-1998 Mitsubishi Research Institute, Inc.
// Copyright (c) 1996-1998 The Open Group
//  
// All rights reserved.
// This technology is a result of the Advanced Software  Enrichment 
// Project of Information-technology Promotion Agency, Japan (IPA).
//  
// Permissions  to  use,  copy, modify and distribute this software
// are governed by the terms and conditions set forth in  the  file
// COPYRIGHT, located in the top directory of this software.
//
//
// ************************************************************************
//
// $Source: /vobstore/cvsstore/adl/adl2/src/examples/idl/stock_example/StockBrokerFactoryImpl.java,v $
// $Revision: 1.3 $
// $Date: 1998/02/27 15:46:35 $
// PRODUCT:	Assertion Definition Language Translation System
//              (ADLTS) Version 2.0
// COMPONENT:	stock broker example
// NAME:	StockBrokerFactoryImpl.java
// 	
// HISTORY:
// 	Cyril Inard d'Argence, The Open Group - Jan 13, 1998: Created
// 		
// ************************************************************************

package stock_example;
import stock_example.stock_app.*;

/**	
 *  Implementation for the StockBrokerFactory idl interface.
 */

public class StockBrokerFactoryImpl extends _StockBrokerFactoryImplBase
{
  public StockBroker makeStockBroker()
  {
    return new StockBrokerImpl();
  }
}

// ***********************************************************************
// History Log:
// $Log: StockBrokerFactoryImpl.java,v $
// Revision 1.3  1998/02/27 15:46:35  cinard
// Updated copyright notice.
//
// Revision 1.2  1998/02/12 16:04:22  mallet
// Fixed copyright notice: TOG RI -> TOG, year extended to 1998 for TOG
// and IPA.
//
// Revision 1.1  1998/02/10 17:36:09  cinard
// Implementations for IDL interfaces and other useful classes.
//
// ***********************************************************************
