// Copyright (c) 1996-1998 Information-technology Promotion Agency, Japan
// Copyright (c) 1996-1998 Mitsubishi Research Institute, Inc.
// Copyright (c) 1996-1998 The Open Group
// Copyright (c) 1994-1997 Sun Microsystems Inc.
// 
// All rights reserved.
// This technology is a result of the Advanced Software  Enrichment 
// Project of Information-technology Promotion Agency, Japan (IPA).
// 
// Permissions  to  use,  copy, modify and distribute this software
// are governed by the terms and conditions set forth in  the  file 
// COPYRIGHT, located in the top directory of this software.
// 
// ************************************************************************
//
// $Source: /vobstore/cvsstore/adl/adl2/src/examples/java/unit/Unit.java,v $
// $Revision: 1.5 $
// $Date: 1998/03/10 17:27:15 $
// PRODUCT:	Assertion Definition Language Translation System
//              (ADLTS) Version 2.0
// COMPONENT:	Unit example (JAVA)
// NAME:	Unit.java
// 	
// HISTORY:
// 	Matt Evans, Sun Microsystems Inc. - Sep 27, 1996: Created
// 		
// ************************************************************************
/**	
 *  public class Unit
 *
 *  @version 	        @(#)Unit.java	1.1 11/19/96
 *  @date created       Nov 4, 1996
 *  @author	        Matt Evans
 *
 */


public class Unit {

   protected long base_units;
   protected String name;

  public Unit (long units, String n) {
    base_units = units;
    name = n;
   }

   public long get_base_units() {
     return base_units;
   }

   public String get_name() {
     return name;
   }

   public void add_units(Unit u) {
     base_units += u.get_base_units();
   }

   public void sub_units (Unit u) {
     base_units -= u.get_base_units();
   }

   public void mult_units (Unit u) {
     base_units *= u.get_base_units();
   }

   public void div_units (Unit u) {
     base_units /= u.get_base_units();
   }
}
